#
# spec file for package python-mysql-connector-python
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-mysql-connector-python
Version:        1.2.3
Release:        5.5
Summary:        MySQL driver written in Python
License:        SUSE-GPL-2.0-with-FLOSS-exception
Group:          Development/Languages/Python
Url:            http://dev.mysql.com/doc/connector-python/en/index.html
Source:         mysql-connector-python-%{version}.zip
#Source:         http://cdn.mysql.com/Downloads/Connector-Python/mysql-connector-python-%{version}.zip#md5=6d42998cfec6e85b902d4ffa5a35ce86
BuildRequires:  python-devel
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
MySQL driver written in Python which does not depend on MySQL C client libraries and implements the DB API v2.0 specification (PEP-249).

%prep
%setup -q -n mysql-connector-python-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#FIXME(toabctl): Reenable testuite
#%check
#nosetests

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%{python_sitelib}/*

%changelog
* Tue Oct 21 2014 dmueller@suse.com
- fix license to SUSE-GPL-2.0-with-FLOSS-exception
* Tue Sep 23 2014 tbechtold@suse.com
- Initial version
